search cancel

12.8 SP2 Adminui UI Deployment Issue

book

Article ID: 126761

calendar_today

Updated On:

Products

CA Single Sign-On SITEMINDER

Issue/Introduction


The 12.8 SP2 Administrative UI, may fail to completely deploy. The server.log might show the following. 
 

  ERROR [org.jboss.msc.service.fail] (MSC service thread 1-3) MSC000001: Failed to start service
  jboss.deployment.subunit."iam_siteminder.ear"."management_console.war".POST_MODULE: org.jboss.msc.service.StartException in service
  jboss.deployment.subunit."iam_siteminder.ear"."management_console.war".POST_MODULE: JBAS018733: Failed to process phase POST_MODULE of subdeployment "management_console.war" of deployment "iam_siteminder.ear

or

  Line 150: 2019-02-04 10:36:18,055 WARN [org.jboss.as.server.deployment] (MSC service thread 1-1) JBAS015960: Class Path entry library/struts.jar in /home/cassodev/CA/siteminder/adminui/standalone/deployments/iam_siteminder.ear/iam_siteminder_wpServer.jar does not point to a valid jar for a Class-Path reference.

 

 

Cause

 

A defect in the installer package caused this issue in some circumstances. 
 
On February 25th, 2019, an updated installer for the SSO Administrative UI was provided (1).

 

Environment

 

Administrative UI 12.8 SP2 install and upgrade use cases. 
All supported OS's.

 

Resolution

  • Upgrade the AdminUI, AdminUI pre-req, and Policy Server to 12.8SP6a to get this issue solved.

         Find the binaries for 12.8SP6a on Windows and Linux (2):

           SSO POLICYSERVER R12.8 SP06a [#2658]

           Symantec SiteMinder Administrative UI r12.8.06a for Windows-64-IMS only.zip
           Symantec SiteMinder Policy Server r12.8.06a for Windows-64-IMS only.zip
           Symantec SiteMinder r12.8.06a Administrative UI Prerequisite Installer for Windows-64-IMS Only.zip
           Symantec SiteMinder Administrative UI r12.8.06a for Linux-64-IMS Only.zip
           Symantec SiteMinder Policy Server r12.8.06a for Linux-64-IMS Only.zip
           Symantec SiteMinder r12.8.06a Administrative UI Prerequisite Installer for Linux-64-IMS Only.zip

     Or

  • Follow documentation instructions to make work the AdminUI 12.8SP2 build 1992 (3).

Additional Information

 

(1)

    Minor change to the CA SSO R12.8.02 kit
    

(2)

    SSO POLICYSERVER R12.8 SP06a [#2658]
    

(3)

    12.8.02 Administrative UI Deployment Fails